#
# spec file for package rubygem-actionpack (Version 1.13.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt post-build-checks rpm ruby ruby-devel rubygem-activesupport rubygems sed sysvinit tar texinfo timezone util-linux zlib


Name:           rubygem-actionpack
Version:        1.13.3
Release:        20.5
%define mod_name actionpack
#
Group:          Development/Languages/Ruby
License:        X11/MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
BuildRequires:  rubygem-activesupport = 1.4.2
Requires:       rubygems >= 0.8.11
Requires:       rubygem-activesupport = 1.4.2
#
Url:            http://rubyforge.org/projects/actionpack
Source:         http://rubyforge.org/frs/download.php/18401/actionpack-1.13.3.gem
Source1:        rubygem-actionpack-1.13.x_session_fixation_attack_v2.patch
Source2:        rubygem-actionpack_sanitize_redirect_to.patch
#
Summary:        Eases web-request routing, handling, and response

%description
Eases web-request routing, handling, and response as a half-way front,
half-way page controller. Implemented with specific emphasis on
enabling easy unit/integration testing that doesn't require a browser.



Authors:
--------
    rails development team

%debug_package
%prep

%build

%install
gem install --build-root=%{buildroot} %{S:0}
pushd %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
    patch -p0 --no-backup-if-mismatch < %{S:1}
    patch -p0 < %{S:2}
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Mon Nov 10 2008 - mrueckert@suse.de
- added rubygem-actionpack_sanitize_redirect_to.patch:
  Sanitize the URLs passed to redirect_to to prevent a potential
  response split (bnc#436934)
* Fri Nov 23 2007 - mrueckert@suse.de
- updated rubygem-actionpack-1.13.x_session_fixation_attack.patch
  new name rubygem-actionpack-1.13.x_session_fixation_attack_v2.patch:
  The original upstream patch only worked for the first request.
  Do not delete the cookie_only option from the session options.
  (#332441) (CVE-2007-6077)
* Wed Oct 17 2007 - mrueckert@suse.de
- added rubygem-actionpack-1.13.x_session_fixation_attack.patch:
  Reject session informations from the query string (#332441)
  (CVE-2007-5380)
* Mon May 14 2007 - mrueckert@suse.de
- update to version 1.13.2:
  * Apply [5709] to stable.
  * session_enabled? works with session :off.  #6680 [Catfish]
  * Performance: patch cgi/session to require digest/md5 once
  rather than per #create_new_id.  [Stefan Kaes]
- additional changes from 1.13.2:
  *  Add much-needed html-scanner tests.  Fixed CDATA parsing bug.
  [Rick]
  *  improve error message for Routing for named routes.
  [Rob Sanheim]
  *  Added enhanced docs to routing assertions. [Rob Sanheim]
  *  fix form_for example in ActionController::Resources
  documentation. [gnarg]
  *  Add singleton resources from trunk [Rick Olson]
  *  select :multiple => true suffixes the attribute name with []
  unless already suffixed.  #6977 [nik.kakelin, ben, julik]
  *  Improve routes documentation.  #7095 [zackchandler]
  *  Resource member routes require :id, eliminating the ambiguous
  overlap with collection routes.  #7229 [dkubb]
  *  Fixed NumberHelper#number_with_delimiter to use "." always
  for splitting the original number, not the delimiter
  parameter #7389 [ceefour]
  *  Autolinking recognizes trailing and embedded . , : ;
  [#7354] [Jarkko Laine]
  *  Make TextHelper::auto_link recognize URLs with colons in
  path correctly, fixes #7268.  [imajes]
  *  Improved auto_link to match more valid urls correctly
  [Tobias Luetke]
* Wed Jan 24 2007 - mrueckert@suse.de
- update to version 1.13.1:
  update for rails 1.2.1. Too many changes to mention them here.
  see /usr/lib*/ruby/gems/1.8/gems/actionpack-1.13.1/CHANGELOG
* Fri Aug 11 2006 - mrueckert@suse.de
- update to version 1.12.5:
  * update for the previous security fix
* Thu Aug 10 2006 - mrueckert@suse.de
- update to version 1.12.4:
  * Documentation fix: integration test scripts don't require
  integration_test. (rails:#4914) [Frederick Ros <sl33p3r@free.fr>]
  * ActionController::Base Summary documentation rewrite.
  (rails:#4900) [kevin.clark@gmail.com]
  * Fix text_helper.rb documentation rendering.
  (rails:#4725) [Frederick Ros]
  * Fixes bad rendering of JavaScriptMacrosHelper rdoc.
  (rails:#4910) [Frederick Ros]
  * Enhance documentation for setting headers in integration tests.
  Skip auto HTTP prepending when its already there.
  (rails:#4079) [Rick Olson]
  * Documentation for AbstractRequest.
  (rails:#4895) [kevin.clark@gmail.com]
  * Remove all remaining references to @params in the documentation.
  [Marcel Molina Jr.]
  * Add documentation for redirect_to :back's RedirectBackError
  exception.  [Marcel Molina Jr.]
  * Update layout and content_for documentation to use yield rather
  than magic @content_for instance variables. [Marcel Molina Jr.]
  * Cache CgiRequest#request_parameters so that multiple calls
  don't re-parse multipart data. [Rick]
  * Fixed that remote_form_for can leave out the object parameter
  and default to the instance variable of the object_name,
  just like form_for [DHH]
  * Added ActionController.filter_parameter_logging that makes it
  easy to remove passwords, credit card numbers, and other
  sensitive information from being logged when a request is
  handled. (rails:#1897) [jeremye@bsa.ca.gov]
  * Fixed that real files and symlinks should be treated the same
  when compiling templates.
  (rails:#5438) [zachary@panandscan.com]
  * Add :status option to send_data and send_file. Defaults to
  '200 OK'. (rails:#5243)
  [Manfred Stienstra <m.stienstra@fngtps.com>]
  * Update documentation for erb trim syntax.
  (rails:#5651) [matt@mattmargolis.net]
  * Short documentation to mention use of Mime::Type.register.
  (rails:#5710) [choonkeat@gmail.com]
* Sat Jul 01 2006 - mrueckert@suse.de
- update to version 1.12.3:
  * Fix broken traverse_to_controller. We now:
  Look for a _controller.rb file under RAILS_ROOT to load.
  If we find it, we require_dependency it and return the
  controller it defined.  (If none was defined we stop looking.)
  If we don't find it, we look for a .rb file under RAILS_ROOT
  to load. If we find it, and it loads a constant we keep
  looking.  Otherwise we check to see if a directory of the same
  name exists, and if it does we create a module for it.
  * Refinement to avoid exceptions in traverse_to_controller.
  * (Hackish) Fix loading of arbitrary files in Ruby's load path
  * by traverse_to_controller. [Nicholas Seckar]
* Wed Jun 21 2006 - mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 - mrueckert@suse.de
- Initial package version 1.12.1
